@echo off
cls

:Datasource
set /p datasource="What is the Server name ?	: "

:InitialCatalog
set /p initialcatalog="What is the database name ?	: "

:Password
set /p password="<D>efault or <T>B login ?	: "

:Execute
reg add HKLM\Software\Spiralsoft\Advantage\2004\General /v Datasource /d %datasource% /f
reg add HKLM\Software\Spiralsoft\Advantage\2004\General /v InitialCatalog /d %initialcatalog% /f

if /I %password%==D reg add HKLM\Software\Spiralsoft\Advantage\2004\General /v Username /d MFEGCSsGAQQBgjdYA6BEMEIGCisGAQQBgjdYAwGgNDAyAgMCAAACAmYBAgFABAi2/jU9jet1qQQQe4IyW9SNDvSRPxF/1oVYPgQItz+57hPPFO0= /f
if /I %password%==D reg add HKLM\Software\Spiralsoft\Advantage\2004\General /v Password /d MGkGCSsGAQQBgjdYA6BcMFoGCisGAQQBgjdYAwGgTDBKAgMCAAACAmYBAgFABAgOVeKs6s5wrQQQ7GX/ks7csi+PO1uFteRwrQQgVkrBuW4asTYeBhx5io3vtTqnOy61b5FNI/h7S1ca9aA= /f

if /I %password%==T reg add HKLM\Software\Spiralsoft\Advantage\2004\General /v Username /d MFEGCSsGAQQBgjdYA6BEMEIGCisGAQQBgjdYAwGgNDAyAgMCAAACAmYBAgFABAgZ4/6d634GrQQQSkBOcpInMzIQv3rjcEs+0QQIoOv7ZQtXgrE= /f
if /I %password%==T reg add HKLM\Software\Spiralsoft\Advantage\2004\General /v Password /d MFEGCSsGAQQBgjdYA6BEMEIGCisGAQQBgjdYAwGgNDAyAgMCAAACAmYBAgFABAhXE9wxGNPU3AQQzppv7mlFHgVskE18MEpItQQI7/PA7+zWLug= /f

start c:\"Program Files\Spiralsoft\Advantage\Bin"\AdvantageP.exe
